### Hierarchy

- ObservableModelEvents
  - HistoricalModelEvents

## Index

### Events

- CLOSED
- DELETED
- VERSION_CHANGED

### Properties

- TARGET_VERSION_CHANGED
- TRANSITION_END
- TRANSITION_START

## Events

### CLOSED

CLOSED: string

Inherited from ObservableModelEvents.CLOSED

Emitted when a model is closed locally. The actual event emitted is a ModelClosedEvent.

### DELETED

DELETED: string

Inherited from ObservableModelEvents.DELETED

Emitted when a model is deleted. The actual event emitted is a ModelDeletedEvent.

### VERSION_CHANGED

VERSION_CHANGED: string

Inherited from ObservableModelEvents.VERSION_CHANGED

Emitted when the version of this model changes. This could happen from a local or remote change to this model. The actual emitted event is a VersionChangedEvent.

## Properties

### TARGET_VERSION_CHANGED

TARGET_VERSION_CHANGED: string

### TRANSITION_END

TRANSITION_END: string

### TRANSITION_START

TRANSITION_START: string